BINDIR = /SDK/local/newlib/bin
MANDIR = /SDK/local/newlib/share/man/man1
UADE123NAME=uade123.exe

CC = ppc-amigaos-gcc
CFLAGS = -Wall -O2 -pthread -I../../include -I../common `pkg-config fuse --cflags` -DUADENAME=\"/SDK/local/newlib/bin/uade123.exe\" -g 
CLIBS =  `pkg-config fuse --libs` -lm

all:	uadefs

include ../common/Makefile.common

MODULES = uadefs.o $(COMMONMODULES)

%.o:	%.c
	$(CC) $(CFLAGS) -c $<

uadefs:	$(MODULES)
	$(CC) $(CFLAGS) -o $@ $(MODULES) $(CLIBS)

uadefs.o:	uadefs.c

install:	uadefs
	mkdir -p "$(BINDIR)" "$(MANDIR)"
	install uadefs "$(BINDIR)"/
	install uadefs.1 "$(MANDIR)"/

clean:	
	rm -f uadefs *.o

